Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.graph.filters.impl
Class DropSoloNodesFilter

    java.lang.Object
      edu.uci.ics.jung.graph.filters.GeneralVertexAcceptFilter
          edu.uci.ics.jung.graph.filters.impl.DropSoloNodesFilter

All Implemented Interfaces:
  Filter

public class DropSoloNodesFilter
extends GeneralVertexAcceptFilter

Accepts only nodes that have at least one edge--that is, nodes that are connected to one other node. This removes isolates, usually in order to clean up visualizations. This is NOT an EfficientFilter.

Because there are no settable parameters, this is set as a factory method--to get a `DropSoloNodesFilter`, just invoke``

     	Filter f = DropSoloNodesFilter.getInstance();

Author:
  danyelf

Constructor Summary
`protected` | `DropSoloNodesFilter()`

Method Summary
`boolean` | `acceptVertex(Vertex vert)`
`static Filter` | `getInstance()`
`String` | `getName()` Gets a name that describes this filter.

Methods inherited from class edu.uci.ics.jung.graph.filters.GeneralVertexAcceptFilter
`filter, filter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DropSoloNodesFilter

    protected DropSoloNodesFilter()

Method Detail

### acceptVertex

    public boolean acceptVertex(Vertex vert)

  Specified by:
    `acceptVertex` in class `GeneralVertexAcceptFilter`

### getName

    public String getName()

  Description copied from interface: `Filter`
  Gets a name that describes this filter. It is used by the auditing methods in ``GraphAssemblyRecord``

  Returns:
    A string that describes the filter.

### getInstance

    public static Filter getInstance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD